Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class KodoClassMapping

    java.lang.Object
      org.apache.openjpa.meta.Extensions
          org.apache.openjpa.meta.ClassMetaData
              org.apache.openjpa.jdbc.meta.ClassMapping
                  kodo.jdbc.meta.KodoClassMapping

All Implemented Interfaces:
  Comparable, org.apache.openjpa.jdbc.meta.ClassStrategy, org.apache.openjpa.jdbc.meta.Strategy, org.apache.openjpa.lib.meta.SourceTracker, org.apache.openjpa.lib.xml.Commentable, org.apache.openjpa.meta.MetaDataContext, org.apache.openjpa.meta.MetaDataModes

    public class KodoClassMapping

extends org.apache.openjpa.jdbc.meta.ClassMapping

ClassMapping with Kodo extensions.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.ClassMapping
`EMPTY_MAPPINGS`

Fields inherited from class org.apache.openjpa.meta.ClassMetaData
`ACCESS_FIELD, ACCESS_PROPERTY, ACCESS_UNKNOWN, DEFAULT_STRING, ID_APPLICATION, ID_DATASTORE, ID_UNKNOWN, SYNTHETIC`

Fields inherited from class org.apache.openjpa.meta.Extensions
`OPENJPA`

Fields inherited from interface org.apache.openjpa.lib.meta.SourceTracker
`SRC_ANNOTATIONS, SRC_OTHER, SRC_XML`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Fields inherited from interface org.apache.openjpa.lib.xml.Commentable
`EMPTY_COMMENTS`

Constructor Summary
`protected` | `KodoClassMapping(Class type, org.apache.openjpa.jdbc.meta.MappingRepository repos)` Constructor.
`protected` | `KodoClassMapping(org.apache.openjpa.meta.ValueMetaData vmd)` Embedded constructor.

Method Summary
`void` | `addDeclaredLockGroup(LockGroup lg)` Declare a lock group possibly used by subclass fields.
`protected void` | `clearAllFieldCache()`
`LockGroup[]` | `getLockGroups()` Return the lock groups for this class.
`boolean` | `removeDeclaredLockGroup(LockGroup lg)` Remove the given lock group from this class.
`protected void` | `validateMapping(boolean runtime)`

Methods inherited from class org.apache.openjpa.jdbc.meta.ClassMapping
`addDeclaredFieldMapping, assertJoinable, clearDefinedFieldCache, clearMapping, clearSubclassCache, copy, customDelete, customInsert, customLoad, customLoad, customLoad, customUpdate, delete, getAlias, getColumnIO, getDeclaredFieldMapping, getDeclaredFieldMapping, getDeclaredFieldMappings, getDeclaredUnmanagedFieldMappings, getDefaultFetchGroupFieldMappings, getDefinedFieldMappings, getDefinedFieldMappingsInListingOrder, getDiscriminator, getEmbeddingMapping, getFieldMapping, getFieldMapping, getFieldMappings, getFieldMappingsInListingOrder, getIndependentAssignableMappings, getJoinable, getJoinablePCSubclassMappings, getJoinablePCSuperclassMapping, getJoinForeignKey, getMappedPCSubclassMappings, getMappedPCSuperclassMapping, getMappingInfo, getMappingRepository, getObjectId, getPCSubclassMappings, getPCSuperclassMapping, getPrimaryKeyColumns, getPrimaryKeyFieldMappings, getStrategy, getSubclassFetchMode, getTable, getVersion, getVersionFieldMapping, initialize, initializeMapping, insert, isCustomDelete, isCustomInsert, isCustomUpdate, isForeignKeyObjectId, isMapped, isPrimaryKeyObjectId, joinSuperclass, map, refSchemaComponents, resolveMapping, setClassMapping, setColumnIO, setDescribedType, setJoinable, setJoinForeignKey, setPrimaryKeyColumns, setStrategy, setSubclassFetchMode, setTable, supportsEagerSelect, syncMappingInfo, toDataStoreValue, update, validateDataStoreExtensionPrefix`

Methods inherited from class org.apache.openjpa.meta.ClassMetaData
`addDeclaredFetchGroup, addDeclaredField, addDeclaredInterface, addDefinedSuperclassField, addExtensionKeys, clearFieldCache, compareTo, defineSuperclassFields, equals, getAccessType, getComments, getCustomFetchGroups, getDataCache, getDataCacheName, getDataCacheTimeout, getDeclaredFetchGroups, getDeclaredField, getDeclaredField, getDeclaredFields, getDeclaredInterfaces, getDeclaredUnmanagedFields, getDefaultFetchGroupFields, getDefinedFields, getDefinedFieldsInListingOrder, getDefinedSuperclassField, getDescribedType, getDetachedState, getDetachedStateField, getEmbeddingMetaData, getEnvClassLoader, getExtraFieldDataIndex, getExtraFieldDataLength, getFetchGroup, getField, getField, getFields, getFieldsInListingOrder, getIdentitySequenceMetaData, getIdentitySequenceName, getIdentityStrategy, getIdentityType, getInterfaceAliasedProperties, getInterfaceImpl, getInterfacePropertyAlias, getLifecycleMetaData, getListingIndex, getMappedPCSubclassMetaDatas, getMappedPCSuperclassMetaData, getObjectIdType, getPCSubclasses, getPCSubclassMetaDatas, getPCSuperclass, getPCSuperclassMetaData, getPrimaryKeyFields, getRepository, getRequiresExtent, getResolve, getResourceName, getSourceFile, getSourceMode, getSourceScope, getSourceType, getSuperclassField, getTypeAlias, getVersionField, hashCode, isAccessibleField, isDetachable, isEmbeddedOnly, isManagedInterface, isObjectIdTypeShared, isOpenJPAIdentity, removeDeclaredFetchGroup, removeDeclaredField, removeDeclaredInterface, removeDefinedSuperclassField, resolve, resolveMeta, setAccessType, setComments, setDataCacheName, setDataCacheTimeout, setDetachable, setDetachedState, setEmbeddedOnly, setEnvClassLoader, setIdentitySequenceName, setIdentityStrategy, setIdentityType, setInterfaceImpl, setInterfacePropertyAlias, setListingIndex, setManagedInterface, setObjectIdType, setPCSuperclass, setPCSuperclassMetaData, setRequiresExtent, setResolve, setResolve, setSource, setSourceMode, setSourceMode, setTypeAlias, toString, usesDetachedState, validateMeta`

Methods inherited from class org.apache.openjpa.meta.Extensions
`addExtension, addExtension, copy, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension, validateExtensionKeys`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KodoClassMapping

    protected KodoClassMapping(Class type,
                               org.apache.openjpa.jdbc.meta.MappingRepository repos)

  Constructor. Supply described type and owning repository.

### KodoClassMapping

    protected KodoClassMapping(org.apache.openjpa.meta.ValueMetaData vmd)

  Embedded constructor. Supply embedding value and owning repository.

Method Detail

### getLockGroups

    public LockGroup[] getLockGroups()

  Return the lock groups for this class. Currently, all lock groups must be defined in the least-derived mapped type. The lock groups will be returned in alphabetical order.

### addDeclaredLockGroup

    public void addDeclaredLockGroup(LockGroup lg)

  Declare a lock group possibly used by subclass fields.

### removeDeclaredLockGroup

    public boolean removeDeclaredLockGroup(LockGroup lg)

  Remove the given lock group from this class.

### validateMapping

    protected void validateMapping(boolean runtime)

  Overrides:
    `validateMapping` in class `org.apache.openjpa.meta.ClassMetaData`

### clearAllFieldCache

    protected void clearAllFieldCache()

  Overrides:
    `clearAllFieldCache` in class `org.apache.openjpa.meta.ClassMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.